'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _gwMatches = require('./gwMatches.css');

var _gwMatches2 = _interopRequireDefault(_gwMatches);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Arrow = require('../Arrow');

var _Arrow2 = _interopRequireDefault(_Arrow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var gwMatches = function gwMatches(_ref) {
    var color = _ref.color;

    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'table',
            { className: _gwMatches2.default.table },
            _react2.default.createElement(
                'thead',
                null,
                _react2.default.createElement(
                    'tr',
                    null,
                    _react2.default.createElement(
                        'th',
                        null,
                        'Gameweek'
                    ),
                    _react2.default.createElement(
                        'th',
                        null,
                        'Date'
                    ),
                    _react2.default.createElement(
                        'th',
                        null,
                        'Entry fee'
                    ),
                    _react2.default.createElement(
                        'th',
                        null,
                        'Jackpot'
                    )
                )
            ),
            _react2.default.createElement(
                'tbody',
                null,
                _react2.default.createElement(
                    'tr',
                    null,
                    _react2.default.createElement(
                        'td',
                        null,
                        'GW8'
                    ),
                    _react2.default.createElement(
                        'td',
                        null,
                        '12/12/12'
                    ),
                    _react2.default.createElement(
                        'td',
                        null,
                        '$10'
                    ),
                    _react2.default.createElement(
                        'td',
                        null,
                        '$855'
                    )
                )
            )
        ),
        _react2.default.createElement(
            'div',
            { className: _gwMatches2.default.matchesHead },
            'Matches for this prediction'
        ),
        _react2.default.createElement(
            'div',
            { className: _gwMatches2.default.matchesBlock },
            _react2.default.createElement(
                'div',
                { className: (0, _classnames2.default)(_gwMatches2.default.matches, _gwMatches2.default.lessThanFive1) },
                _react2.default.createElement(
                    'div',
                    { className: _gwMatches2.default.item },
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'ARS'
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.date },
                        _react2.default.createElement(
                            'div',
                            null,
                            '05.06'
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            '21:00'
                        )
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'WHU'
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: _gwMatches2.default.item },
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'ARS'
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.date },
                        _react2.default.createElement(
                            'div',
                            null,
                            '05.06'
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            '21:00'
                        )
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'WHU'
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: _gwMatches2.default.item },
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'ARS'
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.date },
                        _react2.default.createElement(
                            'div',
                            null,
                            '05.06'
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            '21:00'
                        )
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'WHU'
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: _gwMatches2.default.item },
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'ARS'
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.date },
                        _react2.default.createElement(
                            'div',
                            null,
                            '05.06'
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            '21:00'
                        )
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'WHU'
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: _gwMatches2.default.item },
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'ARS'
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.date },
                        _react2.default.createElement(
                            'div',
                            null,
                            '05.06'
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            '21:00'
                        )
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'WHU'
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: _gwMatches2.default.item },
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'ARS'
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.date },
                        _react2.default.createElement(
                            'div',
                            null,
                            '05.06'
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            '21:00'
                        )
                    ),
                    _react2.default.createElement('img', { src: '/src/images/test.png' }),
                    _react2.default.createElement(
                        'div',
                        { className: _gwMatches2.default.team },
                        'WHU'
                    )
                )
            ),
            _react2.default.createElement(
                'div',
                { className: _gwMatches2.default.viewAll },
                _react2.default.createElement(_Arrow2.default, { text: 'View All 10', direction: 'bottom', width: '20px', colorHover: color })
            )
        )
    );
};

module.exports = gwMatches;