'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@kadira/storybook');

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _Input = require('./Input');

var _Input2 = _interopRequireDefault(_Input);

var _Close = require('./Close');

var _Close2 = _interopRequireDefault(_Close);

var _Check = require('./Check');

var _Check2 = _interopRequireDefault(_Check);

var _userShape = require('./userShape');

var _userShape2 = _interopRequireDefault(_userShape);

var _lock = require('./lock');

var _lock2 = _interopRequireDefault(_lock);

var _Search = require('./Search');

var _Search2 = _interopRequireDefault(_Search);

var _Filter = require('./Filter');

var _Filter2 = _interopRequireDefault(_Filter);

var _Information = require('./Information');

var _Information2 = _interopRequireDefault(_Information);

var _Home = require('./Home');

var _Home2 = _interopRequireDefault(_Home);

var _Text = require('./Text');

var _Text2 = _interopRequireDefault(_Text);

var _Alert = require('./Alert');

var _Alert2 = _interopRequireDefault(_Alert);

var _Arrow = require('./Arrow');

var _Arrow2 = _interopRequireDefault(_Arrow);

var _Trophy = require('./Trophy');

var _Trophy2 = _interopRequireDefault(_Trophy);

var _Warning = require('./Warning');

var _Warning2 = _interopRequireDefault(_Warning);

var _Question = require('./Question');

var _Question2 = _interopRequireDefault(_Question);

var _Welcome = require('./Welcome');

var _Welcome2 = _interopRequireDefault(_Welcome);

var _gwMatches = require('./game/gwMatches');

var _gwMatches2 = _interopRequireDefault(_gwMatches);

var _modal = require('./modal');

var _modal2 = _interopRequireDefault(_modal);

var _Loader = require('./Loader');

var _Loader2 = _interopRequireDefault(_Loader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _storybook.storiesOf)('Welcome', module).add('to Storybook', function () {
    return _react2.default.createElement(_Welcome2.default, { showApp: (0, _storybook.linkTo)('Button') });
});

(0, _storybook.storiesOf)('Button', module).add('Button', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'children: button text (string)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'filled: is fill or transparent (bool)',
            _react2.default.createElement('br', null),
            'lighten: if filled true on hover lighten or darker (bool)',
            _react2.default.createElement('br', null),
            'small: size (bool)',
            _react2.default.createElement('br', null),
            'medium: size (bool)',
            _react2.default.createElement('br', null),
            'big: size (bool)',
            _react2.default.createElement('br', null),
            'disabled: disabled false (bool)',
            _react2.default.createElement('br', null),
            'color: color on hover border or background color if filled (string)',
            _react2.default.createElement('br', null),
            'border: border color if not filled (string)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'type: html type attr (bool)',
            _react2.default.createElement('br', null),
            'icon: plus, arrowRight, share (string)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, icon: 'plus', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, icon: 'plus', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, icon: 'plus', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, icon: 'plus', small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, icon: 'plus', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, icon: 'plus', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, icon: 'plus', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, icon: 'plus', small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, icon: 'arrowRight', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, icon: 'arrowRight', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, icon: 'arrowRight', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, icon: 'arrowRight', small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, icon: 'arrowRight', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, icon: 'arrowRight', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, icon: 'arrowRight', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, icon: 'arrowRight', small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, icon: 'share', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, icon: 'share', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, icon: 'share', onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, icon: 'arrowRight', small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800' },
                'disabled'
            )
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Button2.default,
                { big: true, icon: 'share', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'big'
            ),
            _react2.default.createElement(
                _Button2.default,
                { medium: true, icon: 'share', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'medium'
            ),
            _react2.default.createElement(
                _Button2.default,
                { small: true, icon: 'share', onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'small'
            ),
            _react2.default.createElement(
                _Button2.default,
                { disabled: true, icon: 'share', small: true, onClick: (0, _storybook.action)('clicked'), color: '#ff9800', filled: true },
                'disabled'
            )
        )
    );
});

(0, _storybook.storiesOf)('Input', module).add('text', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'borderActive: border active color (string)',
            _react2.default.createElement('br', null),
            'border: border color (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onChange: function (func)',
            _react2.default.createElement('br', null),
            'max: max characters (string)',
            _react2.default.createElement('br', null),
            'value: value (string)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Input2.default, { type: 'text', onChange: (0, _storybook.action)('changed'), border: '#ff9800', borderActive: 'red', value: 'need onchange action to change value' }),
            _react2.default.createElement('br', null)
        )
    );
}).add('select', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'borderActive: border active color (string)',
            _react2.default.createElement('br', null),
            'border: border color (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onChange: function (func)',
            _react2.default.createElement('br', null),
            'value: value (string)',
            _react2.default.createElement('br', null),
            'options: id is value name is text (array)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Input2.default, { onChange: (0, _storybook.action)('changed'), type: 'select', border: '#ff9800', borderActive: 'red', value: '1', options: [{ id: 1, name: 'test' }, { id: 2, name: 'test 2' }] }),
            _react2.default.createElement('br', null)
        )
    );
}).add('number', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'borderActive: border active color (string)',
            _react2.default.createElement('br', null),
            'border: border color (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onChange: function (func)',
            _react2.default.createElement('br', null),
            'max: max number (string)',
            _react2.default.createElement('br', null),
            'min: min number (string)',
            _react2.default.createElement('br', null),
            'value: value (string)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Input2.default, { onChange: (0, _storybook.action)('changed'), type: 'number', onClick: (0, _storybook.action)('clicked'), border: '#ff9800', borderActive: 'red', value: '1', min: '0', max: '5' }),
            _react2.default.createElement('br', null)
        )
    );
});

(0, _storybook.storiesOf)('SVG icons', module).add('Close', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Close2.default, { width: '100px', onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800' })
        )
    );
}).add('Check', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Check2.default, { width: '100px', onClick: (0, _storybook.action)('clicked') })
        )
    );
}).add('User shape', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'disableHover: false bool',
            _react2.default.createElement('br', null),
            'pointer: false (bool)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_userShape2.default, { width: '100px', color: 'red', onClick: (0, _storybook.action)('clicked') })
        )
    );
}).add('Lock', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'disableHover: false bool',
            _react2.default.createElement('br', null),
            'pointer: false (bool)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_lock2.default, { unlock: true, width: '100px', color: 'red', onClick: (0, _storybook.action)('clicked') }),
            _react2.default.createElement(_lock2.default, { unlockHalf: true, width: '100px', color: 'red', onClick: (0, _storybook.action)('clicked') }),
            _react2.default.createElement(_lock2.default, { width: '100px', color: 'red', onClick: (0, _storybook.action)('clicked') })
        )
    );
}).add('Search', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Search2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', width: '100px' })
        )
    );
}).add('Filter', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Filter2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', width: '100px' })
        )
    );
}).add('Information', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Information2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', width: '100px' })
        )
    );
}).add('Home', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'active: is active (bool)',
            _react2.default.createElement('br', null),
            'underline: has underline (bool)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Home2.default, { underline: true, onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', width: '100px' })
        )
    );
}).add('Trophy', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Trophy2.default, { color: 'red', width: '100px' })
        )
    );
}).add('Warning', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Warning2.default, { color: 'red', width: '100px' })
        )
    );
}).add('Question', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'children: text near (string)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Question2.default,
                { style: { marginTop: '25px' }, onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', width: '100px' },
                'HOW TO PLAY'
            )
        )
    );
}).add('Arrow', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'text: text near (string)',
            _react2.default.createElement('br', null),
            'direction: top, left, right, bottom (string)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Arrow2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', direction: 'left', width: '100px' }),
            _react2.default.createElement(_Arrow2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', direction: 'top', width: '100px' }),
            _react2.default.createElement(_Arrow2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', direction: 'right', width: '100px' }),
            _react2.default.createElement(_Arrow2.default, { onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', direction: 'bottom', width: '100px' })
        )
    );
});

(0, _storybook.storiesOf)('TEXT', module).add('Text', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'active: is active (bool)',
            _react2.default.createElement('br', null),
            'underline: has underline (bool)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _Text2.default,
                { underline: true, onClick: (0, _storybook.action)('clicked'), color: 'black', colorHover: '#ff9800', width: '100px' },
                'CLICK ME'
            )
        )
    );
}).add('Alert', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'active: is active (bool)',
            _react2.default.createElement('br', null),
            'underline: has underline (bool)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Alert2.default, { onClick: (0, _storybook.action)('clicked alert'), success: true, data: [{ text: 'asd' }, { text: 'qqq' }] })
        )
    );
});

(0, _storybook.storiesOf)('GAME', module).add('Game week matches', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'color: color initial (string)',
            _react2.default.createElement('br', null),
            'colorHover: color hover (string)',
            _react2.default.createElement('br', null),
            'background: background initial (string)',
            _react2.default.createElement('br', null),
            'backgroundHover: background hover (string)',
            _react2.default.createElement('br', null),
            'width: width (string)',
            _react2.default.createElement('br', null),
            'height: width (height)',
            _react2.default.createElement('br', null),
            'style: custom styles (object)',
            _react2.default.createElement('br', null),
            'onClick: function (func)',
            _react2.default.createElement('br', null),
            'active: is active (bool)',
            _react2.default.createElement('br', null),
            'underline: has underline (bool)',
            _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_gwMatches2.default, { color: '#ff9800' })
        )
    );
});

(0, _storybook.storiesOf)('Modal', module).add('modal', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _modal2.default,
                { remove: (0, _storybook.action)('close modal'), roundCorners: true, shadow: true },
                _react2.default.createElement(
                    'div',
                    null,
                    'children: ',
                    ', remove: function () ',
                    ', close: true'
                )
            )
        )
    );
}).add('modal extra params', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
                _modal2.default,
                { remove: (0, _storybook.action)('close modal'), closeColor: '#D01C70', closeWidth: '20px', closeThin: true, maxWidth: '660px' },
                _react2.default.createElement(
                    'div',
                    null,
                    'children: ',
                    ', remove: function () ',
                    ', close: true'
                )
            )
        )
    );
});

(0, _storybook.storiesOf)('Loader', module).add('Loader', function () {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_Loader2.default, null)
        )
    );
});