import React from 'react';
import PropTypes from 'prop-types';
import styles from './Loader.css'

class Loader extends React.Component {
    constructor(props) {
        super(props);
    }

    render () {
        const wrapper ={height: this.props.heightContainer}
        const loader ={
            borderTop: '8px solid' + this.props.color,
            width: this.props.width,
            height: this.props.height
        }
        return (
            <div className={styles.wrapper} style={wrapper}><div style={loader} className={styles.loader}/></div>
        )
    }

};

Loader.defaultProps  = {
    heightContainer: '100%',
    color: '#009fe3',
    type: '',
    width: '50px',
    height: '50px'
};

Loader.propTypes = {
    heightContainer: PropTypes.string,
    color: PropTypes.string,
    type: PropTypes.string,
};

module.exports = Loader;
