import React from 'react';
import styles from './gwMatches.css';
import cn from 'classnames';
import Arrow from '../Arrow';

const gwMatches = ({color}) => {
    return (
                <div>
                    <table className={styles.table}>
                        <thead>
                        <tr>
                            <th>Gameweek</th>
                            <th>Date</th>
                            <th>Entry fee</th>
                            <th>Jackpot</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>GW8</td>
                            <td>12/12/12</td>
                            <td>$10</td>
                            <td>$855</td>
                        </tr>
                        </tbody>
                    </table>
                    <div className={styles.matchesHead}>Matches for this prediction</div>
                    <div className={styles.matchesBlock}>
                        <div className={cn(styles.matches, styles.lessThanFive1)}>
                            <div className={styles.item}>
                                <div className={styles.team}>ARS</div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.date}>
                                    <div>05.06</div>
                                    <div>21:00</div>
                                </div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.team}>WHU</div>
                            </div>
                            <div className={styles.item}>
                                <div className={styles.team}>ARS</div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.date}>
                                    <div>05.06</div>
                                    <div>21:00</div>
                                </div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.team}>WHU</div>
                            </div>
                            <div className={styles.item}>
                                <div className={styles.team}>ARS</div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.date}>
                                    <div>05.06</div>
                                    <div>21:00</div>
                                </div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.team}>WHU</div>
                            </div>
                            <div className={styles.item}>
                                <div className={styles.team}>ARS</div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.date}>
                                    <div>05.06</div>
                                    <div>21:00</div>
                                </div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.team}>WHU</div>
                            </div>
                            <div className={styles.item}>
                                <div className={styles.team}>ARS</div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.date}>
                                    <div>05.06</div>
                                    <div>21:00</div>
                                </div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.team}>WHU</div>
                            </div>
                            <div className={styles.item}>
                                <div className={styles.team}>ARS</div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.date}>
                                    <div>05.06</div>
                                    <div>21:00</div>
                                </div>
                                <img src="/src/images/test.png"/>
                                <div className={styles.team}>WHU</div>
                            </div>

                        </div>
                        <div className={styles.viewAll}>
                            <Arrow text="View All 10" direction="bottom" width="20px" colorHover={color}/>
                        </div>
                    </div>
                </div>
    )
}

module.exports = gwMatches