'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Trophy = function (_React$Component) {
    _inherits(Trophy, _React$Component);

    function Trophy() {
        _classCallCheck(this, Trophy);

        return _possibleConstructorReturn(this, (Trophy.__proto__ || Object.getPrototypeOf(Trophy)).apply(this, arguments));
    }

    _createClass(Trophy, [{
        key: 'render',
        value: function render() {

            var styles = _extends({
                width: this.props.width,
                boxSizing: 'border-box',
                height: this.props.height
            }, this.props.style);

            return _react2.default.createElement(
                'svg',
                { viewBox: '0 0 475.1 475.1',
                    style: styles
                },
                _react2.default.createElement('path', { d: 'M467.1 99.4c-5.3-5.3-11.8-8-19.4-8h-82.2V64c0-12.6-4.5-23.3-13.4-32.3 -8.9-8.9-19.7-13.4-32.3-13.4H155.3c-12.6 0-23.3 4.5-32.3 13.4 -8.9 8.9-13.4 19.7-13.4 32.3v27.4H27.4c-7.6 0-14.1 2.7-19.4 8S0 111.2 0 118.8v36.5c0 13.5 3.9 27.1 11.8 40.8 7.9 13.7 18.6 26.1 32 37.1 13.4 11 29.9 20.3 49.4 27.8 19.5 7.5 40 11.8 61.5 12.7 8 10.3 17 19.3 27.1 27.1 7.2 6.5 12.2 13.4 15 20.7 2.8 7.3 4.1 15.8 4.1 25.6 0 10.3-2.9 18.9-8.7 26 -5.8 7.1-15.1 10.6-27.8 10.6 -14.3 0-27 4.3-38.1 13 -11.1 8.7-16.7 19.6-16.7 32.7v18.3c0 2.7 0.9 4.9 2.6 6.6 1.7 1.7 3.9 2.6 6.6 2.6h237.5c2.7 0 4.9-0.9 6.6-2.6 1.7-1.7 2.6-3.9 2.6-6.6v-18.3c0-13.1-5.6-24-16.7-32.7 -11.1-8.7-23.8-13-38.1-13 -12.7 0-22-3.5-27.8-10.6 -5.8-7-8.7-15.7-8.7-26 0-9.7 1.4-18.2 4.1-25.5 2.8-7.3 7.8-14.2 15-20.7 10.1-7.8 19.1-16.8 27.1-27.1 21.5-0.9 42-5.2 61.5-12.7 19.5-7.5 36-16.8 49.4-27.8 13.4-11 24.1-23.4 32-37.1 7.9-13.7 11.8-27.3 11.8-40.8v-36.5C475.1 111.2 472.4 104.7 467.1 99.4zM63.5 201.6c-18-16-27-31.4-27-46.3v-27.4h73.1c0 39.8 7 75.1 21.1 105.9C103.9 228.3 81.5 217.6 63.5 201.6zM438.5 155.3c0 14.8-9 30.3-27 46.3 -18 16-40.4 26.7-67.2 32.3 14.1-30.8 21.1-66.1 21.1-105.9h73.1V155.3z',
                    fill: this.props.color })
            );
        }
    }]);

    return Trophy;
}(_react2.default.Component);

;

Trophy.defaultProps = {
    color: 'black',
    style: {},
    width: '100%',
    height: '100%'

};

Trophy.propTypes = {
    color: _propTypes2.default.string,
    width: _propTypes2.default.string,
    height: _propTypes2.default.string,
    style: _propTypes2.default.object
};

module.exports = Trophy;