'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Warning = function (_React$Component) {
    _inherits(Warning, _React$Component);

    function Warning() {
        _classCallCheck(this, Warning);

        return _possibleConstructorReturn(this, (Warning.__proto__ || Object.getPrototypeOf(Warning)).apply(this, arguments));
    }

    _createClass(Warning, [{
        key: 'render',
        value: function render() {

            var styles = _extends({
                width: this.props.width,
                boxSizing: 'border-box',
                height: this.props.height
            }, this.props.style);

            return _react2.default.createElement(
                'svg',
                { viewBox: '0 0 488.5 488.5',
                    style: styles
                },
                _react2.default.createElement('path', { d: 'M484.1 412l-212.2-367.6c-12.3-21.3-43.1-21.3-55.4 0l-212.2 367.6c-12.3 21.3 3.1 48 27.7 48h424.4C481 460 496.4 433.3 484.1 412zM244.5 157.6c13.6 0 24.6 11.3 24.2 24.9l-4 139.6c-0.3 11-9.3 19.7-20.3 19.7s-20-8.8-20.3-19.7l-3.9-139.6C219.9 168.9 230.8 157.6 244.5 157.6zM244.2 410.1c-13.9 0-25.2-11.3-25.2-25.2 0-13.9 11.3-25.2 25.2-25.2s25.2 11.3 25.2 25.2S258.1 410.1 244.2 410.1z',
                    fill: this.props.color })
            );
        }
    }]);

    return Warning;
}(_react2.default.Component);

;

Warning.defaultProps = {
    color: 'black',
    style: {},
    width: '100%',
    height: '100%'

};

Warning.propTypes = {
    color: _propTypes2.default.string,
    width: _propTypes2.default.string,
    height: _propTypes2.default.string,
    style: _propTypes2.default.object
};

module.exports = Warning;